Subject: Re: cannot start Gnus with idna.el
From: NAKAJI Hiroyuki <[email-masked]>
To: Reiner Steib <[email-masked]>, Simon Josefsson <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 01 Jun 2008 08:59:26 +0900
Newsgroups: gmane.emacs.devel,gmane.emacs.pretest.bugs,gmane.emacs.gnus.general

Thank you for the comment.

After "make maintainer-clean" in emacs/lisp directory, I successfully
bootstrapped the latest emacs. And then I'm trying this problem again.

>>>>> In <[email-masked]> 
>>>>>	Reiner Steib <[email-masked]> wrote:

> > The "while" in idna-to-ascii-response() seems infinite loop.
> >
> > (defun idna-to-ascii-response ()
> >   (while (and (eq (process-status idna-to-ascii-process) 'run)
> >               (null idna-to-ascii-response))
> >     (accept-process-output idna-to-ascii-process 1))
> >   idna-to-ascii-response)

> Isn't this a bug in `idna.el' then?  Cc-ing Simon therefore.

I'm not sure.

> > The idna-to-ascii-response is called from message.el and the failure
> > itself occurs in
> >
> > (idna-to-ascii "räksmörgås")

> Does it mean, that you can reproduce the problem when evaluating this
> expression after starting "emacs -Q"?

No.

After starting "emacs -Q", loaded /some/where/idna.el, opened
gnus/lisp/message.el (no load of gnus) and evaluated this expression. It
was successfull.

(idna-to-ascii "räksmörgås")
"xn--rksmrgs-5wao1o"

Thanks.
-- 
NAKAJI Hiroyuki